# Archival and deletion

As a dataset's license or usage patterns change, it might become necessary for the dataset owner to reduce the scope and availability of data or remove the dataset (or specific versions of the dataset) from Redivis.

## Archival

Archived datasets cannot be used, but otherwise remain available and can be unarchived at any time. They will still be discoverable and subject to all access restrictions, and contain all the same metadata, but any data stored in the dataset will be unavailable for viewing, querying, or exporting.

You can identify an archived dataset by the grey pill next to the dataset title stating **Archived**.

If you've been using a dataset in a workflow that becomes archived, all derivative tables containing the dataset's data will also become [archived](/reference/workflows/archival-and-deletion.md), and you will not be able to run downstream transforms or notebooks.

Datasets can be unarchived at any time by the dataset owner. Once unarchived, the data can be used as before. Unarchival can take up to a few minutes for large datasets, depending on whether it has been placed in [cold storage](/reference/datasets/create-and-edit-datasets/dataset-lifecycle.md#archival).

#### Archived versions

Dataset owners can choose to archive specific [versions](/reference/datasets/versions.md) of the dataset rather than the dataset as a whole. Versions marked as **Archived** will behave similarly to archived datasets.

## Deletion

Deleted datasets have been removed from Redivis. The data will not be discoverable, and after 7 days, any deletion is irreversible.&#x20;

To preserve historic linkages and citations, there will still be a dataset page with basic metadata about the dataset, which is discoverable to anyone with the URL. Only users that could see the existence of the dataset before deletion will be able to see this delete dataset page.&#x20;

If you've been using a deleted dataset in your workflows, all derivative tables containing the dataset's data will become [archived](/reference/workflows/archival-and-deletion.md), and you will no longer be able to use these tables. Since the data is permanently deleted, these tables will not be recoverable, other than that you may rerun the workflow using some other dataset on Redivis.

#### Deleted versions

Dataset owners can choose to delete specific [versions](/reference/datasets/versions.md) of the dataset rather than the dataset as a whole. Versions marked as **Deleted** will behave similarly to deleted datasets.

Derivative tables from a deleted version will also become archived, though you may [update your datasource](/reference/workflows/data-sources.md) to a different, non-deleted version and the rerun your workflow to reconstitute these tables.

*For editors:* [*How to manage the dataset lifecycle*](/reference/datasets/create-and-edit-datasets/dataset-lifecycle.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/reference/datasets/archival-and-deletion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
